/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Assimp", "index.html", [
    [ "assimp - Open Asset Import Library", "index.html", [
      [ "Introduction", "index.html#intro", null ],
      [ "Installation", "index.html#main_install", null ],
      [ "Usage", "index.html#main_usage", null ],
      [ "Data Structures", "index.html#main_data", null ],
      [ "Extending the library", "index.html#ext", null ],
      [ "Support & Feedback", "index.html#main_support", null ]
    ] ],
    [ ".ASS File formats", "assfile.html", [
      [ "Overview", "assfile.html#over", null ],
      [ "XML File format", "assfile.html#assxml", null ],
      [ "Binary file format", "assfile.html#assbin", null ]
    ] ],
    [ "Installation", "install.html", [
      [ "Using the pre-built libraries with Visual C++ 8/9", "install.html#install_prebuilt", null ],
      [ "Microsoft Compilers and the C++ Standard Library", "install.html#assimp_stl", null ],
      [ "Building the library from scratch", "install.html#install_own", null ],
      [ "Building without boost.", "install.html#use_noboost", null ],
      [ "Windows DLL Build", "install.html#assimp_dll", null ],
      [ "Building against STLport", "install.html#assimp_stlport", null ]
    ] ],
    [ "Usage", "usage.html", [
      [ "Access by C++ class interface", "usage.html#access_cpp", null ],
      [ "Access by plain-c function interface", "usage.html#access_c", null ],
      [ "Using custom IO logic with the C++ class interface", "usage.html#custom_io", null ],
      [ "Using custom IO logic with the plain-c function interface", "usage.html#custom_io_c", null ],
      [ "Logging", "usage.html#logging", null ]
    ] ],
    [ "Data Structures", "data.html", [
      [ "The Node Hierarchy", "data.html#hierarchy", null ],
      [ "Meshes", "data.html#meshes", [
        [ "Materials", "data.html#material", null ]
      ] ],
      [ "Bones", "data.html#bones", null ],
      [ "Animations", "data.html#anims", null ],
      [ "Textures", "data.html#textures", null ]
    ] ],
    [ "Material System", "materials.html", [
      [ "Overview", "materials.html#General", null ],
      [ "Textures", "materials.html#mat_tex", null ],
      [ "Constants", "materials.html#keys", null ],
      [ "C++-API", "materials.html#cpp", null ],
      [ "C-API", "materials.html#C", null ],
      [ "How to map UV channels to textures (MATKEY_UVWSRC)", "materials.html#uvwsrc", null ],
      [ "Pseudo Code Listing", "materials.html#pseudo", null ]
    ] ],
    [ "Performance", "perf.html", [
      [ "Overview", "perf.html#perf_overview", null ],
      [ "Profiling", "perf.html#perf_profile", null ]
    ] ],
    [ "Threading", "threading.html", [
      [ "Thread-safety / using Assimp concurrently from several threads", "threading.html#threadsafety", null ],
      [ "Internal threading", "threading.html#automt", null ]
    ] ],
    [ "Resources", "res.html", null ],
    [ "Importer Notes", "importer_notes.html", [
      [ "Blender", "importer_notes.html#blender", [
        [ "Overview", "threading.html#overview", null ],
        [ "Overview", "importer_notes.html#bl_overview", null ],
        [ "Current status", "importer_notes.html#bl_status", null ],
        [ "Notes", "importer_notes.html#bl_notes", null ]
      ] ],
      [ "IFC", "importer_notes.html#ifc", [
        [ "Overview", "importer_notes.html#ifc_overview", null ],
        [ "Current status", "importer_notes.html#ifc_status", null ],
        [ "Notes", "importer_notes.html#ifc_notes", null ],
        [ "Metadata", "importer_notes.html#ifc_metadata", null ]
      ] ],
      [ "Ogre", "importer_notes.html#ogre", [
        [ "What will be loaded?", "importer_notes.html#what", null ],
        [ "How to export Files from Blender", "importer_notes.html#export_Blender", null ],
        [ "XML Format", "importer_notes.html#xml", null ],
        [ "Properties", "importer_notes.html#Importer", null ],
        [ "Todo", "importer_notes.html#todo", null ]
      ] ]
    ] ],
    [ "Extending the Library", "extend.html", [
      [ "Properties", "extend.html#properties", null ],
      [ "Notes for text importers", "extend.html#tnote", null ],
      [ "Notes for binary importers", "extend.html#bnote", null ],
      [ "Utilities", "extend.html#util", null ],
      [ "Filling materials", "extend.html#mat", null ],
      [ "Boost", "extend.html#boost", null ],
      [ "Appendix A - Template for BaseImporter's abstract methods", "extend.html#appa", null ]
    ] ],
    [ "Animation Overview", "_animation_overview.html", [
      [ "Transformations", "_animation_overview.html#Transformations", null ]
    ] ],
    [ "'version'-Command", "version.html", null ],
    [ "'help'-Command", "help.html", null ],
    [ "'info'-Command", "iinfo.html", null ],
    [ "'cmpdump'-Command", "cmpdump.html", null ],
    [ "'dump'-Command", "dump.html", null ],
    [ "'extract'-Command", "extract.html", null ],
    [ "Common parameters", "common.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"3_d_s_converter_8cpp.html",
"_blender_scene_8h.html#a726661eedc26b958c4cbfdef14dbca54",
"_d3_m_f_importer_8cpp.html#a02e31b43ba38bd8663001f74f3212216",
"_f_b_x_parser_8h.html#af40b4ccbbd985b6fb89e81d7d0f1d952",
"_i_f_c_reader_gen_8cpp.html#a2d9d343347baba652686fd19dac14c50",
"_i_f_c_reader_gen_8cpp.html#ac205f4644b6b1a4a8e7fb66dee3d59af",
"_i_f_c_reader_gen_8h.html#a22e53a3851dbd98e73b5d2df1e5cead1",
"_i_f_c_reader_gen_8h.html#a68dce9da2fd683e945baf3afca151b4e",
"_i_f_c_reader_gen_8h.html#aa0f530203f2f0e93b6b8029ba9e5bf5f",
"_i_f_c_reader_gen_8h.html#aea0aac77ed93c24a0bc3bbb8b2a16287",
"_l_w_o_animation_8h.html#a3f9526ecb610600c29d0bc5c3349456aab471299620ae022715411c242545cd0e",
"_m_d3_file_data_8h.html#aa221c9ebbc37de23fc6e25ed66f1114c",
"_o_f_f_loader_8cpp.html#abea39ec29b3ee5108b902215e9e9ac78",
"_open_d_d_l_parser_8h.html#a93a3ba385cad27c4774e5fe64c025d3da97e233f95d5518e4b81e12f450ec80a3",
"_process_helper_8h.html#a878783b1070e56b553ae32b7ced01865",
"_terragen_loader_8h.html",
"assimp__view_8cpp.html#ab4e9606a6fd420c46f4dc0d9f654dd91",
"class_assimp_1_1_b_v_h_loader.html#a8efcc5b879f1d5595feb1c3d505fa536",
"class_assimp_1_1_blob_i_o_stream.html#a2a56b4a3d41096ee4da98b859ba067fd",
"class_assimp_1_1_collada_parser.html#ade2fe0008281313e1e5d4ba71fc8f0aa",
"class_assimp_1_1_destroy_spatial_sort_process.html",
"class_assimp_1_1_f_b_x_1_1_file_global_settings.html#afad16e10381e94b81f98593e5c4b475aa91fbfa5fba3c06809843bd01dda4cf2a",
"class_assimp_1_1_f_b_x_1_1_token.html#a6ece86efe4def69e946ef598b52ffeae",
"class_assimp_1_1_irrlicht_base.html#a3c0ff95c5e1b21c4c741dcc3f203c5ab",
"class_assimp_1_1_m_d_l_importer.html#a29d41f4f7bd504b858b430595a80b708",
"class_assimp_1_1_ogre_1_1_skeleton.html#a87f1a31580a581c78dc59e95338e090c",
"class_assimp_1_1_q3_b_s_p_1_1_i_o_system2_unzip.html#ab3fb296b6f00e7bc1121a9f33706dc64",
"class_assimp_1_1_shared_post_process_info.html#a3b59e81c3a4e0d515022d238ce3538c7",
"class_assimp_1_1_x_file_importer.html#a062ed9f5fdca14e89bc40a5d4990dc4d",
"class_auto_u_t_f_input_stream.html#a652cd1ae8bd848a5ecce4efa1ebd0f38",
"class_generic_member_iterator.html#a6db8972f02d74b663b6ef90ee3ff34f6",
"class_pretty_writer.html#ac6ef0185174838b7034b4183013ee073",
"classai_color4t.html#afbc773cfac1d84f4779c4e60794ccd46",
"classgl_t_f_1_1_i_o_stream.html#a33bc610ecbede9968b0170ce4ff4d9eb",
"classjassimp_1_1_ai_material_1_1_property.html#a0c41d463944b56b411327f02837c1ff7",
"classut_matrix3x3_test.html",
"devil__internal__exports_8h.html",
"fast__atof_8h.html#a90b8b671fcfb5f9c2c1be40056cdef27",
"gl_t_f_asset_writer_8inl.html#a3768e9bb9268c3b3f5d3dca11363b7f7",
"glut_8h.html#a73eebf3d2d1ccd5ce867a608e0e2a751",
"helper_8py.html#a2f05c6bd3c272349058991e96e8e5957",
"il_8h.html#a9ca41df1e16b95c600a6a7fb3e2ec686",
"ilu_8h.html#aefb71b5edf7e9c0ecb23252678fa83da",
"inttypes_8h.html",
"material_8h.html#af72d0714d106aa52da2dbdf10d975c54",
"namespacejassimp.html",
"postprocess_8py.html#a4d93adc1c99dba386feb90b1b739bd05",
"streamload_8py.html#a876dcdb298f199141236158c0be54b38",
"struct_assimp_1_1_blender_1_1_image.html#a56f13ea714777f2a945cf619de3c89e1",
"struct_assimp_1_1_blender_1_1_material.html#a900bda335de5daa7b558371f31576de4",
"struct_assimp_1_1_byte_swap_1_1__swapper_3_01_t_00_014_01_4.html#a23f16e0b274b4a75e9bca7d0f4490e4c",
"struct_assimp_1_1_collada_1_1_node.html#a0e19edb5bc25a3154ed0200fc19850b3",
"struct_assimp_1_1_i_f_c_1_1_fuzzy_vector_compare.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_condenser_type.html#ad234c666dd8a7fd7c64a6a2f98a7c7a2",
"struct_assimp_1_1_i_f_c_1_1_ifc_energy_conversion_device_type.html",
"struct_assimp_1_1_i_f_c_1_1_ifc_material_definition_representation.html#a7068de9f2f2c01c1d1c2ea09b3eb57cc",
"struct_assimp_1_1_i_f_c_1_1_ifc_rectangle_profile_def.html#a833b1e41c1612ce312f43ab8ad61e685",
"struct_assimp_1_1_i_f_c_1_1_ifc_structural_load_group.html#a135570759497f46f4d4e6abe74a517a1",
"struct_assimp_1_1_i_f_c_1_1_ifc_waste_terminal_type.html#aa871316a0fa0fd6ee1e88acaa0bca18e",
"struct_assimp_1_1_l_w_o_1_1_v_map_entry.html#a1513e108a0008027742cd5530fb7e0c1",
"struct_assimp_1_1_m_d_c_1_1_header.html",
"struct_assimp_1_1_m_d_l_1_1_skin___m_d_l5.html#a55f4032f71454b6df202aaea359e1221",
"struct_assimp_1_1_open_g_e_x_1_1_bone_weight.html",
"struct_assimp_1_1_s_t_e_p_1_1_lazy.html",
"struct_auto_u_t_f.html#a36dd6f226d6a07c12161e21c0aff20b1",
"struct_i_limage.html#a20c53053c80d504de93c3ee17290a9ba",
"struct_writer_1_1_level.html#a4c9d2a6336d707725cd749b80059e59d",
"structai_node.html#a8424402c9124516e98e6ddff064693e9",
"structgl_t_f_1_1_buffer.html#a58222bd30731bfb17755e50abcd3c3d3",
"tools_2assimp__view_2resource_8h.html#a01e010b24e93540e5f290be0a948d8db",
"union___i_e_e_e_single.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';